// swift-tools-version: 6.1
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "M2Kit",
    platforms: [
        .iOS(.v15)
    ],
    products: [
        .library(
            name: "M2Kit",
            targets: ["M2KitWrapper"]
        ),
    ],
    targets: [
        .binaryTarget(
            name: "M2Kit",
            path: "./Frameworks/M2Kit.xcframework"
        ),
        .target(
            name: "M2KitWrapper",
            dependencies: ["M2Kit"],
            path: "Sources/M2KitWrapper",
            resources: [
                .copy("Resources/M2Kit.bundle")
            ]
        ),
    ]
)
